function [traj, cost, sol] = getSuffix(Xsuf, U, J, F_G, F_FG, F_GF, F_sys, ...
                                       nx, model, options)
% getSuffix Create suffix for sequential planner
%
% :copyright: 2014 by the California Institute of Technology
% :license: BSD 3-Clause, see LICENSE for details

% Compute the cyclic suffix
F_loop = getLoop(model, Xsuf, nx);

F = [F_G, F_FG, F_GF, F_sys, F_loop];

sol = solvesdp(F,J,options);
ctrl = double(U);
traj = double(Xsuf);
cost = double(J);

end
